;InnoSetupVersion=2.0.18

[Setup]
AppName=Web Link Validator
AppVerName=Web Link Validator 3.5 build 338
AppId=Web Link Validator
AppPublisher=REL Software
AppPublisherURL=http://www.relsoftware.com/
AppSupportURL=http://www.relsoftware.com/wlv/
AppUpdatesURL=http://www.relsoftware.com/wlv/
DefaultDirName={pf}\Web Link Validator
DefaultGroupName=Web Link Validator
OutputBaseFilename=wlv35b338
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\WebLV,1.exe"; DestDir: "{app}"; DestName: "WebLV.exe"; 
Source: "{app}\WebLV,2.exe"; DestDir: "{app}"; DestName: "WebLV.exe"; 
Source: "{app}\Feedback Forms.url"; DestDir: "{app}"; 
Source: "{app}\file_id.diz"; DestDir: "{app}"; 
Source: "{app}\History.txt"; DestDir: "{app}"; 
Source: "{app}\License.txt"; DestDir: "{app}"; 
Source: "{app}\README.TXT"; DestDir: "{app}"; 
Source: "{app}\REL Software Home.url"; DestDir: "{app}"; 
Source: "{app}\Web Link Validator Home.url"; DestDir: "{app}"; 
Source: "{app}\Order Web Link Validator.url"; DestDir: "{app}"; 
Source: "{app}\help\weblv.chm"; DestDir: "{app}\help"; 
Source: "{app}\lang\_Blank.lng"; DestDir: "{app}\lang"; 
Source: "{app}\lang\English.tip"; DestDir: "{app}\lang"; 
Source: "{app}\lang\German.lng"; DestDir: "{app}\lang"; 
Source: "{app}\lang\German.tip"; DestDir: "{app}\lang"; 
Source: "{app}\lang\Spanish.lng"; DestDir: "{app}\lang"; 
Source: "{app}\lang\Spanish.tip"; DestDir: "{app}\lang"; 
Source: "{app}\lang\lang.ini"; DestDir: "{app}\lang"; 
Source: "{app}\save\Example - Bookmarks.wlv"; DestDir: "{app}\save"; 
Source: "{app}\save\Example - REL Software.wlvs"; DestDir: "{app}\save"; 
Source: "{app}\libeay32.dll"; DestDir: "{app}"; 
Source: "{app}\ssleay32.dll"; DestDir: "{app}"; 

[Registry]
Root: HKLM; Subkey: "Software\REL Software\Web Link Validator"; ValueName: "InstallPath"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: ".wlv"; ValueType: String; ValueData: "WLVFile"; Tasks: regwlv; Flags: noerror 
Root: HKCR; Subkey: "WLVFile"; ValueType: String; ValueData: "Web Link Validator File - Link Repository"; Tasks: regwlv; Flags: noerror 
Root: HKCR; Subkey: "WLVFile\shell\open\command"; ValueType: String; ValueData: """{app}\WebLV.exe"" ""%1"""; Tasks: regwlv; Flags: noerror 
Root: HKCR; Subkey: "WLVFile\DefaultIcon"; ValueType: String; ValueData: "{app}\WebLV.exe,0"; Tasks: regwlv; Flags: noerror 
Root: HKCR; Subkey: ".wlvs"; ValueType: String; ValueData: "WLVFile2"; Tasks: regwlvs; Flags: noerror 
Root: HKCR; Subkey: "WLVFile2"; ValueType: String; ValueData: "Web Link Validator File - Web Site Verification"; Tasks: regwlvs; Flags: noerror 
Root: HKCR; Subkey: "WLVFile2\shell\open\command"; ValueType: String; ValueData: """{app}\WebLV.exe"" ""%1"""; Tasks: regwlvs; Flags: noerror 
Root: HKCR; Subkey: "WLVFile2\DefaultIcon"; ValueType: String; ValueData: "{app}\WebLV.exe,0"; Tasks: regwlvs; Flags: noerror 

[Run]
Filename: "{app}\WebLV.exe"; Description: "Launch Web Link Validator"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Web Links\REL Software Home"; Filename: "{app}\REL Software Home.url"; 
Name: "{group}\Web Links\Web Link Validator Home"; Filename: "{app}\Web Link Validator Home.url"; 
Name: "{group}\Web Links\Feedback Forms"; Filename: "{app}\Feedback Forms.url"; 
Name: "{group}\Web Links\Order Web Link Validator"; Filename: "{app}\Order Web Link Validator.url"; 
Name: "{group}\Web Link Validator"; Filename: "{app}\WebLV.exe"; 
Name: "{group}\Web Link Validator Help"; Filename: "{app}\help\weblv.chm"; 
Name: "{group}\Readme.txt"; Filename: "{app}\README.TXT"; 
Name: "{userdesktop}\Web Link Validator"; Filename: "{app}\WebLV.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "regwlv"; Description: "Associate Web Link Validator with .WLV file type"; GroupDescription: "Associate Web Link Validator with specific file types:"; 
Name: "regwlvs"; Description: "Associate Web Link Validator with .WLVS file type"; GroupDescription: "Associate Web Link Validator with specific file types:"; 
